netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
multicast.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/ioctl.h>`
`#include <sys/socket.h>`
`#include <net/if.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`
`#include "rtmp.h"`
`#include "zip.h"`
`#include "main.h"`
`#include "multicast.h"`

## Macros
#define | elements(a)

## Functions
int | addmulti (const char *name, const unsigned char *data)
static uint16_t | atalk_cksum (unsigned char *data, int len)
int | zone_bcast (struct ziptab *zt)
| Fill in multicast for zone.

## Variables
static const unsigned char | ethermulti [6]
static const unsigned char | ethermultitab [253][6]

## Macro Definition Documentation

## ◆ elements

#define elements | ( |  | a | ) |

Value:
(sizeof(a)/sizeof((a)[0]))

## Function Documentation

## ◆ addmulti()

int addmulti | ( | const char * | name,
|  | const unsigned char * | data )

configure multicast for a given named interface

## ◆ atalk_cksum()

uint16_t atalk_cksum | ( | unsigned char * | data,
|  | int | len )
| static

## ◆ zone_bcast()

int zone_bcast | ( | struct ziptab * | zt | ) |

Fill in multicast for zone.

Note
  There is a general issue here: how can we tell the type of interface we're configuring for? E.g. Is it ethernet, tokenring, or FDDI? (Of course, FDDI and Ethernet look just alike.)

## Variable Documentation

## ◆ ethermulti

const unsigned char ethermulti[6]
| static

Initial value:
= {
0x09, 0x00, 0x07, 0xff, 0xff, 0xff,
}

## ◆ ethermultitab

const unsigned char ethermultitab[253][6]
| static